summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrey Grozin <grozin@gentoo.org>2017-06-28 15:46:04 +0700
committerAndrey Grozin <grozin@gentoo.org>2017-06-28 15:46:04 +0700
commit59ccf69f735ee24b8f705d70c727fdb2ad08f50f (patch)
tree60212fbe6cb2099972d560aa982b9ed4d630f232 /media-gfx/asymptote
parentapp-crypt/eid-mw: version bump 4.2.8 (diff)
downloadgentoo-59ccf69f735ee24b8f705d70c727fdb2ad08f50f.tar.gz
gentoo-59ccf69f735ee24b8f705d70c727fdb2ad08f50f.tar.bz2
gentoo-59ccf69f735ee24b8f705d70c727fdb2ad08f50f.zip
media-gfx/asymptote: bump to 2.41
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'media-gfx/asymptote')
-rw-r--r--media-gfx/asymptote/Manifest1
-rw-r--r--media-gfx/asymptote/asymptote-2.41.ebuild210
-rw-r--r--media-gfx/asymptote/files/asymptote-2.41-configure-ac.patch13
-rw-r--r--media-gfx/asymptote/files/asymptote-2.41-info.patch13
-rw-r--r--media-gfx/asymptote/files/asymptote-2.41-xdg-utils.patch23
5 files changed, 260 insertions, 0 deletions
diff --git a/media-gfx/asymptote/Manifest b/media-gfx/asymptote/Manifest
index 89b035d8ea8..c87ab5087f6 100644
--- a/media-gfx/asymptote/Manifest
+++ b/media-gfx/asymptote/Manifest
@@ -1,3 +1,4 @@
DIST asymptote-2.32.src.tgz 1794495 SHA256 2035035e02774598312d5588da2685d20fb85a378ea2bbe48b825c5442b18fa5 SHA512 a0663f1768cb4340bb6e9224d4fbc6e2f8b41501b1f59793d84db2e0f99b9ff071d3dd8fa5c4715c1874f8ef1af713a54b27de37ff40d8ca042f0f48579a57f9 WHIRLPOOL 38a8aaa581acb07bcc7ac0c802222501acf77abaf609d5ae758d9b5668ac6b8b1343640259cc3948e62a39862404709ddb64b4bbd11bcf20dbb7ce29d4fc25d1
DIST asymptote-2.36.src.tgz 3449528 SHA256 cd3276cba498965f8c9e6c56b157d2f22304b0453d175bd9017b4c62b3fd1750 SHA512 18b079829f90561f88ebde0391f5d842d89ea28bf7b00306b908faeeca21b421127423af3a335bab9afa22036b3d93611702a579513d8a458be2f8cdd542222f WHIRLPOOL 532b221d619c8af077e0ef4cda960e6bc1b2c2eab263cfa1eb729df5928f7ae1d9e05459efee18a5a4fa4464b0b3aacd7f5ab42076e8af4e1fc3745f75dd9b6c
DIST asymptote-2.38.src.tgz 3460789 SHA256 e9c6dbb3fed27cbaf9ba01fd2264f0cff51781466acb29e76418bed801debcb7 SHA512 c54974a0476a33112c7913cfd8962e80a5ff10bc11f65b59a2bc0641f3c2fcfe69ba4592d84b33078d85c43fab7261670195766eca6419f6fd4923fd1ace6904 WHIRLPOOL f1d0a31fe25046c072a4963f64c92f718d980712f46637db65a5664c0a94c1eba162902c9ec4e787685f2250158ecffa9e834564ecbd69c6e3b948c5ad7d7a24
+DIST asymptote-2.41.src.tgz 3516426 SHA256 1d6e7e89fb5293fad7d836fb0477f785a113f689bd71f37a05af18ff0c5eeef0 SHA512 93f737a44b085c2290c4553c765cf49679820e6623bc5b6d0229818409868876275d6f0571abeb76033955fa95ee594e37d10c9901c54755b085e36760fd96cb WHIRLPOOL e75a6a2b4e29c3388f221b86958b6564edb14a46dad014acdc81554e1f0ac6b889c757f5a0626af6fb46783bf02393f73e92d2209080a31d665bc23550714a39
diff --git a/media-gfx/asymptote/asymptote-2.41.ebuild b/media-gfx/asymptote/asymptote-2.41.ebuild
new file mode 100644
index 00000000000..f48cbea6178
--- /dev/null
+++ b/media-gfx/asymptote/asymptote-2.41.ebuild
@@ -0,0 +1,210 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools elisp-common eutils latex-package multilib python-single-r1
+
+DESCRIPTION="A vector graphics language that provides a framework for technical drawing"
+HOMEPAGE="http://asymptote.sourceforge.net/"
+SRC_URI="mirror://sourceforge/asymptote/${P}.src.tgz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="+boehm-gc doc emacs examples fftw gsl +imagemagick latex offscreen +opengl python sigsegv svg vim-syntax X"
+
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ offscreen? ( opengl )"
+
+RDEPEND="
+ >=sys-libs/ncurses-5.4-r5:0=
+ >=sys-libs/readline-4.3-r5:0=
+ imagemagick? ( media-gfx/imagemagick[png] )
+ opengl? ( >=media-libs/mesa-8 )
+ offscreen? ( media-libs/mesa[osmesa] )
+ svg? ( app-text/dvisvgm )
+ sigsegv? ( dev-libs/libsigsegv )
+ boehm-gc? ( >=dev-libs/boehm-gc-7.0[cxx,threads] )
+ fftw? ( >=sci-libs/fftw-3.0.1 )
+ gsl? ( sci-libs/gsl )
+ python? ( ${PYTHON_DEPS} )
+ X? (
+ ${PYTHON_DEPS}
+ x11-misc/xdg-utils
+ dev-python/pillow[tk,${PYTHON_USEDEP}]
+ )
+ latex? (
+ virtual/latex-base
+ >=dev-texlive/texlive-latexextra-2013
+ )
+ emacs? ( virtual/emacs )
+ vim-syntax? ( || ( app-editors/vim app-editors/gvim ) )"
+DEPEND="${RDEPEND}
+ doc? (
+ dev-lang/perl
+ media-gfx/imagemagick[png]
+ virtual/texi2dvi
+ virtual/latex-base
+ )"
+
+TEXMF=/usr/share/texmf-site
+
+pkg_setup() {
+ (use python || use X) && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ # gc.h -> gc/gc.h
+ epatch "${FILESDIR}/${P}-configure-ac.patch"
+
+ sed -e "s:Datadir/doc/asymptote:Datadir/doc/${PF}:" \
+ -i configure.ac \
+ || die "sed configure.ac failed"
+
+ # Changing pdf, ps, image viewers to xdg-open
+ epatch "${FILESDIR}/${P}-xdg-utils.patch"
+
+ # Bug #322473
+ epatch "${FILESDIR}/${P}-info.patch"
+
+ eautoreconf
+}
+
+src_configure() {
+ # for the CPPFLAGS see
+ # https://sourceforge.net/forum/forum.php?thread_id=1683277&forum_id=409349
+ econf \
+ CPPFLAGS=-DHAVE_SYS_TYPES_H \
+ CFLAGS="${CXXFLAGS}" \
+ --disable-gc-debug \
+ $(use_enable boehm-gc gc system) \
+ $(use_enable fftw) \
+ $(use_enable gsl) \
+ $(use_enable opengl gl) \
+ $(use_enable offscreen) \
+ $(use_enable sigsegv)
+}
+
+src_compile() {
+ default
+
+ cd doc || die
+ emake asy.1
+ if use doc; then
+ # info
+ einfo "Making info"
+ emake ${PN}.info
+ cd FAQ || die
+ emake
+ cd .. || die
+ # pdf
+ einfo "Making pdf docs"
+ export VARTEXFONTS="${T}"/fonts
+ # see bug #260606
+ emake -j1 asymptote.pdf
+ emake CAD.pdf
+ fi
+ cd .. || die
+
+ if use emacs; then
+ einfo "Compiling emacs lisp files"
+ elisp-compile base/*.el
+ fi
+}
+
+src_install() {
+ # the program
+ dobin asy
+
+ # .asy files
+ insinto /usr/share/${PN}
+ doins base/*.asy
+
+ # documentation
+ dodoc BUGS ChangeLog README ReleaseNotes TODO
+ doman doc/asy.1
+
+ # X GUI
+ if use X; then
+ python_scriptinto /usr/share/${PN}/GUI
+ python_doscript GUI/*.py
+ dosym /usr/share/${PN}/GUI/xasy.py /usr/bin/xasy
+ doman doc/xasy.1x
+ fi
+
+ # examples
+ if use examples; then
+ insinto /usr/share/${PN}/examples
+ doins \
+ examples/*.asy \
+ examples/*.eps \
+ doc/*.asy \
+ doc/*.csv \
+ doc/*.dat \
+ doc/extra/*.asy
+ use X && doins GUI/*.asy
+
+ insinto /usr/share/${PN}/examples/animations
+ doins examples/animations/*.asy
+ fi
+
+ # LaTeX style
+ if use latex; then
+ cd doc || die
+ insinto "${TEXMF}"/tex/latex/${PN}
+ doins ${PN}.sty asycolors.sty
+ if use examples; then
+ insinto /usr/share/${PN}/examples
+ doins latexusage.tex
+ fi
+ cd .. || die
+ fi
+
+ # asymptote.py
+ use python && python_domodule base/${PN}.py
+
+ # emacs mode
+ if use emacs; then
+ elisp-install ${PN} base/*.el base/*.elc
+ elisp-site-file-install "${FILESDIR}"/64${PN}-gentoo.el
+ fi
+
+ # vim syntax
+ if use vim-syntax; then
+ insinto /usr/share/vim/vimfiles/syntax
+ doins base/asy.vim
+ insinto /usr/share/vim/vimfiles/ftdetect
+ doins "${FILESDIR}"/asy-ftd.vim
+ fi
+
+ # extra documentation
+ if use doc; then
+ cd doc || die
+ doinfo ${PN}.info*
+ cd FAQ || die
+ dodoc asy-faq.ascii
+ doinfo asy-faq.info
+ insinto /usr/share/doc/${PF}/html/FAQ
+ doins asy-faq.html/*
+ cd .. || die
+ insinto /usr/share/doc/${PF}
+ doins ${PN}.pdf CAD.pdf
+ fi
+}
+
+pkg_postinst() {
+ use latex && latex-package_rehash
+ use emacs && elisp-site-regen
+
+ elog 'Use the variable ASYMPTOTE_PSVIEWER to set the postscript viewer'
+ elog 'Use the variable ASYMPTOTE_PDFVIEWER to set the PDF viewer'
+}
+
+pkg_postrm() {
+ use latex && latex-package_rehash
+ use emacs && elisp-site-regen
+}
diff --git a/media-gfx/asymptote/files/asymptote-2.41-configure-ac.patch b/media-gfx/asymptote/files/asymptote-2.41-configure-ac.patch
new file mode 100644
index 00000000000..984ec7c2e95
--- /dev/null
+++ b/media-gfx/asymptote/files/asymptote-2.41-configure-ac.patch
@@ -0,0 +1,13 @@
+Index: asymptote-2.41/configure.ac
+===================================================================
+--- asymptote-2.41.orig/configure.ac
++++ asymptote-2.41/configure.ac
+@@ -159,7 +159,7 @@ if test "x$ac_cv_use_gc" != "xno" ; then
+ fi
+ CPPFLAGS_SAVE=$CPPFLAGS
+ CPPFLAGS=$CPPFLAGS" $INCL"
+- AC_CHECK_HEADER(gc.h,
++ AC_CHECK_HEADER([gc/gc.h],
+ AC_CHECK_LIB([gc],[GC_malloc],[
+ LIBS=$LIBS"-lgc "
+ AC_MSG_NOTICE([enabling system $GCNAME])],[
diff --git a/media-gfx/asymptote/files/asymptote-2.41-info.patch b/media-gfx/asymptote/files/asymptote-2.41-info.patch
new file mode 100644
index 00000000000..f1dc4309aa8
--- /dev/null
+++ b/media-gfx/asymptote/files/asymptote-2.41-info.patch
@@ -0,0 +1,13 @@
+Index: asymptote-2.41/doc/asymptote.texi
+===================================================================
+--- asymptote-2.41.orig/doc/asymptote.texi
++++ asymptote-2.41/doc/asymptote.texi
+@@ -21,7 +21,7 @@ file LICENSE in the top-level source dir
+
+ @dircategory Languages
+ @direntry
+-* asymptote: (asymptote/asymptote). Vector graphics language.
++* asymptote: (asymptote). Vector graphics language.
+ @end direntry
+
+ @titlepage
diff --git a/media-gfx/asymptote/files/asymptote-2.41-xdg-utils.patch b/media-gfx/asymptote/files/asymptote-2.41-xdg-utils.patch
new file mode 100644
index 00000000000..7f9b3344035
--- /dev/null
+++ b/media-gfx/asymptote/files/asymptote-2.41-xdg-utils.patch
@@ -0,0 +1,23 @@
+Index: asymptote-2.41/settings.cc
+===================================================================
+--- asymptote-2.41.orig/settings.cc
++++ asymptote-2.41/settings.cc
+@@ -91,15 +91,15 @@ bool msdos=false;
+ string HOME="HOME";
+ string docdir=ASYMPTOTE_DOCDIR;
+ const char pathSeparator=':';
+-string defaultPSViewer="gv";
++string defaultPSViewer="xdg-open";
+ #ifdef __APPLE__
+ string defaultPDFViewer="open";
+ #else
+-string defaultPDFViewer="acroread";
++string defaultPDFViewer="xdg-open";
+ #endif
+ string defaultGhostscript="gs";
+ string defaultGhostscriptLibrary="/usr/lib/libgs.so";
+-string defaultDisplay="display";
++string defaultDisplay="xdg-open";
+ string defaultAnimate="animate";
+ void queryRegistry() {}
+ const string dirsep="/";